%global with_python3 1
%global upname husl

Name: python-%{upname}
Version: 4.0.1
Release: 1%{?dist}
Summary: A Python implementation of HUSL
License: MIT

URL: http://github.com/boronine/pyhusl
Source0: https://pypi.python.org/packages/source/h/husl/husl-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python2-devel python-setuptools

%description
HUSL is a human-friendly alternative to HSL (Hue, Saturation and Lightness)
color space. This package provides Python2 support

%if 0%{?with_python3}
%package -n python3-%{upname}
Summary: A Python implementation of HUSL
BuildRequires: python3-devel python3-setuptools

%description -n python3-%{upname}
HUSL is a human-friendly alternative to HSL (Hue, Saturation and Lightness)
color space. This package provides Python3 support

%endif # with_python3

%prep
%setup -q -n %{upname}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}
 
%files
%doc README.md LICENSE
%{python2_sitelib}/husl*

%if 0%{?with_python3}
%files -n python3-%{upname}
%doc README.md LICENSE
%{python3_sitelib}/husl*
%{python3_sitelib}/__pycache__/*
%endif # with_python3

%changelog
* Fri Nov 21 2014 Sergio Pascual <sergiopr at fedoraproject.com> - 4.0.1-1
- Initial SPEC

